Bug 1005488 - yum keeps puking when doing composes
yum keeps puking when doing composes
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-07 10:40 EDT by Dennis Gilmore
Modified: 2015-06-29 08:20 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:20:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2013-09-07 10:40:25 EDT
I keep getting two tracebacks, 

Description of problem:
Traceback (most recent call last):
  File "/usr/bin/pungi", line 256, in <module>
    main()
  File "/usr/bin/pungi", line 110, in main
    mypungi.downloadPackages()
  File "/usr/lib/python2.7/site-packages/pypungi/__init__.py", line 953, in downloadPackages
    self.config.get('pungi', 'product_path')))
  File "/usr/lib/python2.7/site-packages/pypungi/__init__.py", line 915, in _downloadPackageList
    probs = self.ayum.downloadPkgs(polist)
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 2368, in downloadPkgs
    if verify_local(po):
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 2342, in verify_local
    local = po.localPkg()
  File "/usr/lib/python2.7/site-packages/yum/packages.py", line 936, in localPkg
    rpmfn = os.path.basename(self.remote_path)
  File "/usr/lib/python2.7/site-packages/yum/packages.py", line 836, in _remote_path
    return self.relativepath
  File "/usr/lib/python2.7/site-packages/yum/sqlitesack.py", line 272, in __getattr__
    value = r[0]
TypeError: 'NoneType' object has no attribute '__getitem__'


The other traceback i keep getting is 

Traceback (most recent call last):
  File "/usr/bin/pungi", line 256, in <module>
    main()
  File "/usr/bin/pungi", line 104, in main
    mypungi.gather()
  File "/usr/lib/python2.7/site-packages/pypungi/__init__.py", line 724, in gather
    added.update(self.get_package_deps(po))
  File "/usr/lib/python2.7/site-packages/pypungi/__init__.py", line 429, in get_package_deps
    reqs = po.requires
  File "/usr/lib/python2.7/site-packages/yum/packages.py", line 670, in <lambda>
    requires = property(fget=lambda self: self.returnPrco('requires'))
  File "/usr/lib/python2.7/site-packages/yum/sqlitesack.py", line 393, in returnPrco
    cur = self._sql_MD('primary', sql, (self.pkgKey,))
  File "/usr/lib/python2.7/site-packages/yum/sqlitesack.py", line 55, in newFunc
    raise Errors.RepoError, str(e)
yum.Errors.RepoError: database disk image is malformed
Comment 1 Dennis Gilmore 2013-09-07 12:11:15 EDT
Just got this one

Traceback (most recent call last):
  File "/usr/bin/pungi", line 256, in <module>
    main()
  File "/usr/bin/pungi", line 140, in main
    mypungi.doBuildinstall()
  File "/usr/lib/python2.7/site-packages/pypungi/__init__.py", line 1168, in doBuildinstall
    workdir=workdir, outputdir=outputdir)
  File "/usr/lib/python2.7/site-packages/pylorax/__init__.py", line 243, in run
    rb.install()
  File "/usr/lib/python2.7/site-packages/pylorax/treebuilder.py", line 104, in install
    self._runner.run("runtime-install.tmpl")
  File "/usr/lib/python2.7/site-packages/pylorax/ltmpl.py", line 180, in run
    self._run(commands)
  File "/usr/lib/python2.7/site-packages/pylorax/ltmpl.py", line 199, in _run
    f(*args)
  File "/usr/lib/python2.7/site-packages/pylorax/ltmpl.py", line 485, in run_pkg_transaction
    self.yum.buildTransaction()
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1173, in buildTransaction
    (rescode, restring) = self.resolveDeps()
  File "/usr/lib/python2.7/site-packages/yum/depsolve.py", line 877, in resolveDeps
    CheckDeps, checkinstalls, checkremoves, missing = self._resolveRequires(errors)
  File "/usr/lib/python2.7/site-packages/yum/depsolve.py", line 1009, in _resolveRequires
    (checkdep, missing, errormsgs) = self._processReq(po, dep)
  File "/usr/lib/python2.7/site-packages/yum/depsolve.py", line 342, in _processReq
    CheckDeps, missingdep = self._requiringFromTransaction(po, requirement, errormsgs)
  File "/usr/lib/python2.7/site-packages/yum/depsolve.py", line 671, in _requiringFromTransaction
    rel=pkg.rel)
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 5077, in update
    availpkgs = self._compare_providers(availpkgs, requiringPo)
  File "/usr/lib/python2.7/site-packages/pypungi/__init__.py", line 152, in _compare_providers
    result = yum.YumBase._compare_providers(self, *args, **kwargs)
  File "/usr/lib/python2.7/site-packages/yum/depsolve.py", line 1625, in _compare_providers
    reqs = self._checkInstall(fake_txmbr)
  File "/usr/lib/python2.7/site-packages/yum/depsolve.py", line 1051, in _checkInstall
    txmbr_reqs = txmbr.po.returnPrco('requires')
  File "/usr/lib/python2.7/site-packages/yum/sqlitesack.py", line 393, in returnPrco
    cur = self._sql_MD('primary', sql, (self.pkgKey,))
  File "/usr/lib/python2.7/site-packages/yum/sqlitesack.py", line 55, in newFunc
    raise Errors.RepoError, str(e)
yum.Errors.RepoError: database disk image is malformed
Comment 2 Zdeněk Pavlas 2013-09-09 05:00:54 EDT
>    cur = self._sql_MD('primary', sql, (self.pkgKey,))
> yum.Errors.RepoError: database disk image is malformed

Probably one of the primary.sqlite files is damaged.. Does the following report any problems?

$ for i in $(find /var/{cache/yum,tmp} -name '*primary*.sqlite'); do echo $i; sqlite3 $i .tables; done

If so, please backup the broken file, and let yum build/download it again.
Comment 3 Dennis Gilmore 2013-09-11 00:10:07 EDT
restarting the compose allows things to work.  the compose uses its own name space.  we do happen to have the package cache space on nfs because it is shared between multiple arches and compose boxes. 

It seems to be very transient. the second run though works in most cases. though i have had to try 4 times once.
Comment 4 Zdeněk Pavlas 2013-09-11 03:27:55 EDT
> have the package cache space on nfs

Mounting just ../$repoid/packages/*.rpm should be ok, but if you NFS-mount the whole cachedir and one of the clients updates it, there's a concurrency issue (two distinct yum.pid locks protecting the same data).
Comment 5 Fedora End Of Life 2015-05-29 05:22:36 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-06-29 08:20:50 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.